Vital keeps saying "Preset created with newer version"

38
Hello,
Vital was working fine last night but today the presets I made yesterday won’t load. It says “preset was created with newer version”.
Thing is that I’m using the latest version. I have deleted the stand alone and all plugins (VST, Component, etc.) and re-installed several times but it still insists that I need a newer version. I don’t want to make any new sounds in case this happens again. Not sure where to go from here.
Any help would be much appreciated,
Thanks,
Sophia :purple_heart:

What version is that then ? 1.0.7 mac 1.0.8 PC or 1.5.1 pro ?

1 Like

I’m guessing there’s a version mismatch in the installed plugins and you switched from one format to another. You can check by clicking on the vital icon to see the version.

If you delete all the Vital plugins (vst, vst3, and au) then reinstall the latest it should fix it.

1 Like

Thanks for responding. I have already done this about three or four times but no joy. :pensive:

1.0.7 on a macbook pro M1 Max

Send some of the presets that won’t work

1 Like

Unfortunately it says “new users cannot upload attachments” when I try to attach presets to this message. I’m not sure how long I need to wait until I’m no longer a new user.
This is a little frustrating. But I really appreciate your help.
Sophia

It does let me upload pictures though, strange.

I have uploaded a wetransfer link of a preset that does not work:


:raised_hands::purple_heart::+1:

All versions including stand alone are 1.0.7
Even after deleting and reinstalling several times it still insists I need a newer version.
Here is a link to one of the presets in question:

I’m running Monterey 12.5.1

I’m able to open this preset - I’m running 1.5.1 on macOS Catalina 10.15.7

1 Like

Wow, thanks for letting me know. I’m totally stumped by this :face_with_monocle:

Interestingly, if I double-click the preset it opens Vital but doesn’t open the patch. But if I place it in a folder in my Vital library, I can open it within Vital. I have no idea what this means.

1 Like

Interesting. It’s in my user presets folder, how would I put it in the library?
Thank you much for testing it out for me, I really do appreciate it :smiley:

image

The synth version of this preset is 1.5.1 as well as the wavetables. You can do a quick command+H replace of 1.5.1 with 1.0.7 for a temp solution.

1 Like

Thanks SlavaCat. I’m not sure where you are doing this or how. I’m quite new to Vital.

Just open the presets with a text editor

1 Like

When I open the preset with text editor it looks like this:


It doesn’t look like the pic you sent, I’m not sure where to go from here. It’s a very large file.
Thanks a lot for your help though. :purple_heart:

I just reformatted mine with JSON indents–If you have python on your machine I can give you the code. All you really need to do is search and replace 1.5.1 with 1.0.7 and you should be good.

The problem then becomes figuring out why your 1.0.7 vital is creating 1.5.1 presets. If you can find it, the vital config file has the version number it’s on, so that would be a good place to start.

1 Like